//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 2 lights, 8 textures and 14 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  Moray V3.01 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 06/19/1998    (19.06.1998)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <5.291, -9.086, 16.726>
  direction <0.0,     0.0,  1.1116>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <0.000, 0.000, 0.000>
}

//
// *******  L I G H T S *******
//

light_source {   // Light001
  <-1.024, -0.059, 1.397>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light1
  <0.000, -20.000, 20.000>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  TEXTURES  *******
//

#include "meteor.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

sphere { // Sphere5
  <0,0,0>,1
  texture {
    Apmosphere
  }
  no_shadow
  hollow
  scale 95.658104
  translate  <-182.0, 100.0, -159.0>
}


plane { // Plane3
  z,0
  texture {
    Starfield
  }
  scale 11.378252
  rotate -180.0*x
  translate  <-43.962889, 0.0, 72.125988>
}


plane { // Plane002
  z,0
  texture {
    Starfield
  }
  scale 11.378252
  translate  <-65.955992, 0.0, -367.653887>
}


sphere { // Sphere004
  <0,0,0>,1
  texture {
    Planet_1
  }
  scale 80.853485
  translate  <-182.0, 100.0, -159.0>
}


sphere { // Sphere003
  <0,0,0>,1
  texture {
    Shock
  }
  no_shadow
  scale 1.717173
  translate  <-5.13212, 0.0, 1.095832>
}


sphere { // Sphere002
  <0,0,0>,1
  texture {
    Ice
  }
  no_shadow
  hollow
  scale 1.754012
  translate  <-5.769344, 0.0, 1.108209>
}


cone { // Cone003
  <0,0,0>, 0.08, <0,0,1>, 0.9
  texture {
    Ice
  }
  no_shadow
  hollow
  scale <15.006991, 15.0, 16.774458>
  rotate 90.0*y
  translate  <-6.32856, 0.0, 1.016049>
}




cone { // Cone002
  <0,0,0>, 0.3, <0,0,1>, 1.4
  texture {
    Shock
  }
  no_shadow
  scale <5.445212, 5.838047, 16.278439>
  rotate 90.0*y
  translate  <-4.123261, 0.145552, 1.143055>
}


plane { // Plane001
  z,0
  texture {
    Starfield
  }
  scale 9.295537
  rotate <-180.0, -88.21167, -112.461693>
  translate  <-47.172743, 179.138529, -12.319588>
}


cone { // Cone001
  <0,0,0>, 0.35, <0,0,1>, 0.9
  texture {
    Fire_Map
  }
  no_shadow
  scale <5.974314, 5.97413, 17.000135>
  rotate <89.468613, 13.008273, 89.666847>
  translate  <-3.937188, 0.0, 1.143055>
}


sphere { // Sphere001
  <0,0,0>,1
  texture {
    Asteroid2
  }
  no_shadow
  scale 1.508024
  translate  <-5.236567, 0.0, 1.095833>
}


object { // BezPtch001
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-4.345604, -5.034851, -10.014572>, <-0.586465, -0.503251, -9.939137>, <-0.392859, -0.599799, -9.939137>, <2.309042, -4.896103, -10.014572>, 
      <-2.062030, -2.593297, 0.000000>, <-2.100665, -5.648147, 4.612964>, <0.989416, -6.194688, 4.537093>, <1.289475, -2.703516, 0.000000>, 
      <-2.082707, 2.352010, 0.000000>, <-2.142019, 4.468723, 4.309479>, <1.072123, 4.639542, 4.461222>, <1.020677, 2.311333, -0.075871>, 
      <-4.497347, 3.807237, -10.014572>, <-0.593639, -0.517426, -10.166751>, <-0.571775, -0.524431, -10.015009>, <2.447960, 3.731366, -10.166314>
    }
  }
  texture {
    Fire_Map
  }
  no_shadow
  scale <1.686015, 1.754813, 1.877859>
  rotate <-90.0, -29.434528, 89.204575>
  translate  <-5.61372, 1.295513, 0.889042>
}




